
# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/xjavadoc/1.1-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define section		free

Name:		xjavadoc
Version:	1.1
Release:	1jpp.ep1.1%{?dist}
Epoch:		0
Summary:	The XJavaDoc engine
License:	BSD Style
URL:		http://xdoclet.sourceforge.net/xjavadoc/
Group:		Development/Testing
Source0:	%{name}-src-%{version}.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/xdoclet login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/xdoclet export -r XJAVADOC_1_1 xjavadoc
Patch0:		%{name}-build_xml.patch
Source1:	xjavadoc-component-info.xml
Provides:	%{name}
BuildRequires:	java
BuildRequires:	java-devel
BuildRequires:	junit
BuildRequires:	ant >= 0:1.5
BuildRequires:	ant-nodeps
BuildRequires:	ant-junit
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-collections
BuildRequires:	xml-commons-apis
BuildRequires:	log4j
BuildRequires:	java-devel 
BuildRequires:	javacc
BuildRequires:	xalan-j2
BuildRequires:	jrefactory
Requires:	jakarta-commons-logging
Requires:	jakarta-commons-collections
Requires:	xml-commons-apis
Requires:	log4j
Requires:	xalan-j2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The XJavaDoc engine is a complete rewrite of Sun's 
JavaDoc engine that is faster and more suited for 
XDoclet (although it is completely standalone). It 
scans java source code and makes information about 
a class available via special java beans that are 
part of the XJavaDoc core. These beans provide the 
same information about a class as Sun's JavaDoc API, 
and some nice extra features. 

%if %{with_repolib}
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java

%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}
find . -name "*.zip" -exec rm {} \;
find . -name "*.jar" -exec rm {} \;

%patch0 -b .sav


tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
build-jar-repository lib \
xalan-j2 \
junit \
javacc \
log4j \
commons-logging \
commons-collections \
xml-commons-apis \
jrefactory \
ant \


#Fix these binary deps
#BINCLASSPATH=$PWD/lib/ConfigLog4j.jar

ant -Djavacchome=/usr/share/java javadoc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}
install -m 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}

# version less symlinks
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 docs/architecture.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	cp $RPM_BUILD_ROOT%{_javadir}/xjavadoc.jar $RPM_BUILD_ROOT%{repodirlib}
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*
%{_docdir}/%{name}-%{version}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Mon Mar 12 2007 Fernando Nasser <fnasser@redhat.com> 1.1-1jpp.ep1.1
- Rebuild

* Tue Mar 06 2007 Vivek Lakshmanan <vivekl@redhat.com> 1.1-1jpp.el4ep1.3
- Use javadir as the base directory for repolib artifacts

* Mon Mar 05 2007 Fernando Nasser <fnasser@redhat.com> 1.1-1jpp.el4ep1.2
- Remove run-time dependency on jrefactory

* Sun Feb 18 2007 Vivek Lakshmanan <vivekl@redhat.com> 1.1-1jpp.el4ep1.1
- Add repolib support
- Add missing BR on ant-nodeps

* Wed Feb 16 2005 Fernando Nasser <fnasser@redhat.com> 1.1-1jpp_1rh
- Merge with upstream for upgrade

* Tue Feb 15 2005 Ralph Apel <r.apel at r-apel.de> 1.1-1jpp
- upgrade to 1.1
- replace requirement of xml-commons by xml-commons-apis

* Fri Oct 15 2004 Fernando Nasser <fnasser@redhat.com> 1.0.3-2jpp_1rh
- First Red Hat build

* Thu Aug 26 2004 Ralph Apel <r.apel at r-apel.de> 1.0.3-2jpp
- Build with ant-1.6.2

* Fri Jul 02 2004 Ralph Apel <r.apel at r-apel.de> 1.0.3-1jpp
- upgrade to 1.0.3
- just eliminate __GENERATED__ tests because no sources for old xdoclet 
- add xjavadoc javadoc subpackage

* Tue Dec 16 2003 Paul Nasrat <pauln at truemesh.com> 1.0-2jpp
- fix non-versioned symlink typo

* Mon Dec 15 2003 Paul Nasrat <pauln at truemesh.com> 1.0-1jpp
- Initial Release
